Bug 1123884

Summary: %post scriptlet error on install
Product: [Fedora] Fedora EPEL Reporter: Morten Stevens <mstevens>
Component: cactiAssignee: Gwyn Ciesla <gwync>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: epel7CC: gwync, ktdreyer, Petaris, scott.lockwood
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: cacti-0.8.8g-1.el7 cacti-0.8.8g-2.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-05-10 14:44:00 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Morten Stevens 2014-07-28 14:29:58 UTC
Version-Release number of selected component (if applicable):

cacti-0.8.8b-7.el7.noarch

How reproducible:

Steps to Reproduce:
1. yum install cacti
2. yum remove cacti

Actual results:

Transaction test succeeded
Running transaction
  Installing : cacti-0.8.8b-7.el7.noarch                                    1/1
/var/tmp/rpm-tmp.COxrl8: line 1: fg: no job control
warning: %post(cacti-0.8.8b-7.el7.noarch) scriptlet failed, exit status 1
Non-fatal POSTIN scriptlet failure in rpm package cacti-0.8.8b-7.el7.noarch
  Verifying  : cacti-0.8.8b-7.el7.noarch                                    1/1

Expected results:

no scriptlet error

Comment 1 Scott Lockwood 2014-11-13 23:00:26 UTC
I have the same issue, but am able to trigger the error by reversing his steps as well after a previously successful installation:

1. yum remove cacti
2. yum install cacti

Actual results:

Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: mirror.cs.uwp.edu
 * epel: mirror.nexcess.net
 * extras: mirror.thelinuxfix.com
 * updates: mirror.beyondhosting.net
Resolving Dependencies
--> Running transaction check
---> Package cacti.noarch 0:0.8.8b-7.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================================================================================================================================
 Package                                    Arch                                        Version                                              Repository                                 Size
=============================================================================================================================================================================================
Installing:
 cacti                                      noarch                                      0.8.8b-7.el7                                         epel                                      2.1 M

Transaction Summary
=============================================================================================================================================================================================
Install  1 Package

Total download size: 2.1 M
Installed size: 6.0 M
Is this ok [y/d/N]: y
Downloading packages:
cacti-0.8.8b-7.el7.noarch.rpm                                                                                                                                         | 2.1 MB  00:00:01
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : cacti-0.8.8b-7.el7.noarch                                                                                                                                                 1/1
/var/tmp/rpm-tmp.BO5goN: line 1: fg: no job control
warning: %post(cacti-0.8.8b-7.el7.noarch) scriptlet failed, exit status 1
Non-fatal POSTIN scriptlet failure in rpm package cacti-0.8.8b-7.el7.noarch
  Verifying  : cacti-0.8.8b-7.el7.noarch                                                                                                                                                 1/1

Installed:
  cacti.noarch 0:0.8.8b-7.el7

Complete!

Comment 2 Petaris 2014-12-12 15:21:30 UTC
I am also encountering this issue and it is reproducible by using the commands:

1. yum install cacti
2. yum remove cacti


CentOS Linux release 7.0.1406 (Core)

------------------------------------------------------------
Loaded plugins: fastestmirror, langpacks
Loading mirror speeds from cached hostfile
 * base: mirrors.cmich.edu
 * epel: mirror.steadfast.net
 * extras: mirrors.umflint.edu
 * updates: centos.netnitco.net
Resolving Dependencies
--> Running transaction check
---> Package cacti.noarch 0:0.8.8b-7.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

============================================================================================================
 Package                Arch                    Version                         Repository             Size
============================================================================================================
Installing:
 cacti                  noarch                  0.8.8b-7.el7                    epel                  2.1 M

Transaction Summary
============================================================================================================
Install  1 Package

Total download size: 2.1 M
Installed size: 6.0 M
Is this ok [y/d/N]: y
Downloading packages:
cacti-0.8.8b-7.el7.noarch.rpm                                                        | 2.1 MB  00:00:00
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : cacti-0.8.8b-7.el7.noarch                                                                1/1
/var/tmp/rpm-tmp.uBhOaK: line 1: fg: no job control
warning: %post(cacti-0.8.8b-7.el7.noarch) scriptlet failed, exit status 1
Non-fatal POSTIN scriptlet failure in rpm package cacti-0.8.8b-7.el7.noarch
  Verifying  : cacti-0.8.8b-7.el7.noarch                                                                1/1

Installed:
  cacti.noarch 0:0.8.8b-7.el7

Complete!
------------------------------------------------------------

Comment 3 Ken Dreyer 2015-03-25 12:16:08 UTC
The package has been retired in Rawhide for a while. See http://forums.cacti.net/viewtopic.php?f=2&t=53607 and https://lists.fedoraproject.org/pipermail/devel/2014-October/203695.html

Today I've removed myself from the package in pkgdb.

Jon, please feel free to orphan or retire this package in EPEL.

Comment 4 Fedora Update System 2016-04-24 22:31:38 UTC
cacti-0.8.8g-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c731bc5ec0

Comment 5 Fedora Update System 2016-04-24 23:45:51 UTC
cacti-0.8.8g-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-45e9f8440b

Comment 6 Fedora Update System 2016-04-26 00:20:33 UTC
cacti-0.8.8g-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-45e9f8440b

Comment 7 Fedora Update System 2016-04-26 00:24:43 UTC
cacti-0.8.8g-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c731bc5ec0

Comment 8 Fedora Update System 2016-05-10 14:42:29 UTC
cacti-0.8.8g-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-05-10 15:11:04 UTC
cacti-0.8.8g-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.